Quote Material

The quote material resource.

Basehttps://rest.carbon.ms/quoteMaterial
GET/quoteMaterial

List quote materials

Retrieve a paginated list of quote materials. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/quoteMaterial
curl --request GET \
  --url 'https://rest.carbon.ms/quoteMaterial?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "quoteId": "xyz789",
    "quoteLineId": "xyz789",
    "itemId": "xyz789",
    "itemType": "string",
    "methodType": "string",
    "order": 0,
    "description": "string"
  }
]
GET/quoteMaterial

Retrieve a quote material

Fetch a single quote material by filtering on `id`.

Query parameters

idstring

Match on the quote material's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/quoteMaterial
curl --request GET \
  --url 'https://rest.carbon.ms/quoteMaterial?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "quoteId": "xyz789",
  "quoteLineId": "xyz789",
  "itemId": "xyz789",
  "itemType": "string",
  "methodType": "string",
  "order": 0,
  "description": "string"
}
POST/quoteMaterial

Create a quote material

Create a new quote material.

Body parameters

quoteIdstringrequired

References quote.id

quoteLineIdstringrequired

References quoteLine.id

itemIdstringrequired

References item.id

itemTypestringrequired
methodTypemethodTyperequired
ordernumberrequired
descriptionstringrequired
quantitynumberrequired
unitOfMeasureCodestring
unitCostnumberrequired
companyIdstringrequired

References company.id

customFieldsobject
quoteMakeMethodIdstringrequired

References quoteMakeMethod.id

quoteOperationIdstring

References quoteOperation.id

scrapQuantitynumberrequired
tagsarray
productionQuantitynumber
kitbooleanrequired
storageUnitIdstring

References storageUnit.id

POSThttps://rest.carbon.ms/quoteMaterial
curl --request POST \
  --url https://rest.carbon.ms/quoteMaterial \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"quoteId":"xyz789","quoteLineId":"xyz789","itemId":"xyz789","itemType":"string","methodType":"string","order":0,"description":"string","quantity":10,"unitCost":0,"companyId":"xyz789","quoteMakeMethodId":"xyz789","scrapQuantity":10,"kit":true}'
Response
{
  "id": "abc123def456",
  "quoteId": "xyz789",
  "quoteLineId": "xyz789",
  "itemId": "xyz789",
  "itemType": "string",
  "methodType": "string",
  "order": 0,
  "description": "string"
}
PATCH/quoteMaterial

Update a quote material

Update an existing quote material, matched on `id`.

Body parameters

quoteIdstringrequired

References quote.id

quoteLineIdstringrequired

References quoteLine.id

itemIdstringrequired

References item.id

itemTypestringrequired
methodTypemethodTyperequired
ordernumberrequired
descriptionstringrequired
quantitynumberrequired
unitOfMeasureCodestring
unitCostnumberrequired
companyIdstringrequired

References company.id

customFieldsobject
quoteMakeMethodIdstringrequired

References quoteMakeMethod.id

quoteOperationIdstring

References quoteOperation.id

scrapQuantitynumberrequired
tagsarray
productionQuantitynumber
kitbooleanrequired
storageUnitIdstring

References storageUnit.id

PATCHhttps://rest.carbon.ms/quoteMaterial
curl --request PATCH \
  --url 'https://rest.carbon.ms/quoteMaterial?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"quoteId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "quoteId": "xyz789",
  "quoteLineId": "xyz789",
  "itemId": "xyz789",
  "itemType": "string",
  "methodType": "string",
  "order": 0,
  "description": "string"
}
DELETE/quoteMaterial

Delete a quote material

Delete a quote material, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the quote material to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/quoteMaterial
curl --request DELETE \
  --url 'https://rest.carbon.ms/quoteMaterial?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content